/*
 * Copyright 2019 (c) R. Tyler Croy <rtyler@brokenco.de>
 *
 * Models are serializable structs to pass in and out of Diesel
 */

#[derive(Queryable, Debug)]
pub struct Checkpoint {
    pub id: i64,
    pub filepath: String,
    pub filesize: i64,
    pub inode: i64,
    pub offset_bytes: i64,
}
